<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Modalidad extends Model
{
    use HasFactory;
    protected $table = 'modalidades';
    
    protected $fillable = [
        'descripcion',
    ];

    public function formularios() 
    {   
        return $this->hasMany(Formulario::class, 'modalidad_id', 'id');
    }

    public function turnos() 
    {
        return $this->hasMany(Turno::class, 'modalidad_id', 'id');
    }

}
